"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActionsContainer = void 0;
const react_1 = __importDefault(require("react"));
const action_button_1 = require("./action-button");
const compass_components_1 = require("@mongodb-js/compass-components");
const actionsContainerStyle = (0, compass_components_1.css)({
    position: 'absolute',
    top: compass_components_1.spacing[100],
    right: compass_components_1.spacing[100],
    left: compass_components_1.spacing[100],
    display: 'none',
    gap: compass_components_1.spacing[200],
    pointerEvents: 'none',
});
const expandContainerStyle = (0, compass_components_1.css)({
    position: 'relative',
    top: -compass_components_1.spacing[100],
    left: -compass_components_1.spacing[100],
});
const actionsGroupItemSeparator = (0, compass_components_1.css)({
    flex: '1 0 auto',
    pointerEvents: 'none',
});
const ActionsContainer = ({ copyable, formattable, customActions, className, editorRef, onExpand, expanded, }) => {
    return (react_1.default.createElement("div", { className: (0, compass_components_1.cx)('multiline-editor-actions', actionsContainerStyle, className) },
        onExpand && (react_1.default.createElement("div", { className: expandContainerStyle },
            react_1.default.createElement(action_button_1.ActionButton, { label: expanded ? 'Collapse all' : 'Expand all', icon: expanded ? 'CaretDown' : 'CaretRight', onClick: onExpand, compact: true }))),
        react_1.default.createElement("span", { className: actionsGroupItemSeparator }),
        copyable && (react_1.default.createElement(action_button_1.ActionButton, { label: "Copy", icon: "Copy", onClick: () => {
                return editorRef.current?.copyAll() ?? false;
            } })),
        formattable && (react_1.default.createElement(action_button_1.ActionButton, { label: "Format", icon: react_1.default.createElement(action_button_1.FormatIcon, { size: /* leafygreen small */ 14, role: "presentation" }), onClick: () => {
                return editorRef.current?.prettify() ?? false;
            } })),
        customActions &&
            customActions.map((action) => {
                return (react_1.default.createElement(action_button_1.ActionButton, { key: action.label, icon: action.icon, label: action.label, onClick: () => {
                        if (!editorRef.current?.editor) {
                            return false;
                        }
                        return action.action(editorRef.current.editor);
                    } }));
            })));
};
exports.ActionsContainer = ActionsContainer;
//# sourceMappingURL=actions-container.js.map